#!/usr/bin/env python
from segy import Segy
import segy
import sqlite
import os
import sys

if __name__ == "__main__":
	dbName = 'bpsegy.db'
	if os.access(dbName,os.W_OK):
            os.remove(dbName)
	cx = sqlite.connect(dbName)
	cu = cx.cursor()

	filename = 'bpsio01L00.xstar'
	xstar = Segy(filename,drivername='segy_drv_xstar')

	#
	# CREATE the database tables
	#
	cu.execute(segy.sqlCreateFileTable(drivername='segy_drv_xstar'))
	cu.execute(segy.sqlCreateTraceTable(drivername='segy_drv_xstar'))
	cx.commit()

	#
	# POPULATE the tables
	#
	for filename in [ 'bpsio01L00.xstar',  'bpsio04L03.xstar']:

		cu.execute(xstar.header.sqlInsert(filename=filename))
		cx.commit()

		cu.execute('SELECT fileKey FROM segyFile WHERE filename=\''+filename+'\'')
		fileKey = cu.fetchone()['fileKey']
		print 'fileKey = ',fileKey
		
		for i in range(1,xstar.getNumberOfTraces()):
			t = xstar.getTraceHdr(i)
			if i>2000: break  # FIX: remove this hack

			if 0==i%500:
				traceNo = t.getHeader('TraceNo')
				x = t.getHeader('X')/3600.
				y = t.getHeader('Y')/3600.
				print i,':   ',traceNo, x,y
	
			cu.execute(t.sqlInsert(traceNumber=i,fileKey=fileKey))
		cx.commit()	# Flush this to the db!

	
